VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Classes | Enumerations
VSTGUI::ExternalView Namespace Reference

## Classes
struct | ControlViewAdapter
struct | IControlViewExtension
struct | IntPoint
struct | IntRect
struct | IntSize
struct | IView
| interface for embedding views from external view systems More...
struct | IViewEmbedder
| interface for view embedder classes More...
struct | ViewAdapter
| adapter for the IView interface More...

## Enumerations
enum class | PlatformViewType : uint32_t { HWND , NSView , Unknown }

## Enumeration Type Documentation

## ◆ PlatformViewType

enum class PlatformViewType : uint32_t
| strong

Enumerator
HWND |
NSView |
Unknown |